Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/admon.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -86,5 +86,7 @@
             <xsl:if test="$admon.textlabel != 0 or title or info/title">
               <fo:block xsl:use-attribute-sets="admonition.title.properties">
-                <xsl:apply-templates select="." mode="object.title.markup"/>
+                <xsl:apply-templates select="." mode="object.title.markup">
+		  <xsl:with-param name="allow-anchors" select="1"/>
+		</xsl:apply-templates>
               </fo:block>
             </xsl:if>
@@ -108,5 +110,7 @@
       <fo:block keep-with-next.within-column='always'
                 xsl:use-attribute-sets="admonition.title.properties">
-         <xsl:apply-templates select="." mode="object.title.markup"/>
+         <xsl:apply-templates select="." mode="object.title.markup">
+	   <xsl:with-param name="allow-anchors" select="1"/>
+	 </xsl:apply-templates>
       </fo:block>
     </xsl:if>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/footnote.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -91,5 +91,5 @@
         <xsl:number level="any" 
                     from="chapter|appendix|preface|article|refentry|bibliography" 
-                    count="footnote[not(@label)][not(ancestor::table) and not(ancestor::informaltable)]|ulink[$ulink.footnotes != 0][node()][@url != .][not(ancestor::footnote)][ulink.show != 0]" 
+                    count="footnote[not(@label)][not(ancestor::table) and not(ancestor::informaltable)]|ulink[$ulink.footnotes != 0][node()][@url != .][not(ancestor::footnote)][$ulink.show != 0]" 
                     format="1"/>
       </xsl:variable>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/graphics.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -376,7 +376,9 @@
           </xsl:choose>
         </xsl:when>
-        <xsl:otherwise>
-          <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-             href="{$filename}"/>
+	<xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	    <xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+	  </xsl:message>
         </xsl:otherwise>
       </xsl:choose>
@@ -495,7 +497,9 @@
         </xsl:when>
         <xsl:otherwise>
-          <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-             href="{$filename}"/>
-        </xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	    <xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+	  </xsl:message>
+	</xsl:otherwise>
       </xsl:choose>
     </xsl:when>
@@ -533,4 +537,5 @@
 
 <xsl:template match="textdata">
+  <xsl:variable name="vendor" select="system-property('xsl:vendor')"/>
   <xsl:variable name="filename">
     <xsl:choose>
@@ -565,14 +570,17 @@
           <xtext:insertfile href="{$filename}"/>
         </xsl:when>
-        <xsl:otherwise>
-          <xsl:message terminate="yes">
-            <xsl:text>No insertfile extension available.</xsl:text>
-          </xsl:message>
-        </xsl:otherwise>
+	<xsl:otherwise>
+	  <xsl:message terminate="yes">
+	    <xsl:text>Don't know how to insert files with </xsl:text>
+	    <xsl:value-of select="$vendor"/>
+	  </xsl:message>
+	</xsl:otherwise>
       </xsl:choose>
     </xsl:when>
     <xsl:otherwise>
-      <a xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"
-         href="{$filename}"/>
+      <xsl:message terminate="yes">
+	<xsl:text>Cannot insert </xsl:text><xsl:value-of select="$filename"/>
+	<xsl:text>. Check use.extensions and textinsert.extension parameters.</xsl:text> 
+      </xsl:message>
     </xsl:otherwise>
   </xsl:choose>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/param.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/param.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/param.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ASCII"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:src="http://nwalsh.com/xmlns/litprog/fragment" xmlns="http://docbook.org/ns/docbook" exclude-result-prefixes="src" version="1.0">
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
 <!-- This file is generated from param.xweb -->
@@ -29,5 +29,5 @@
   <xsl:attribute name="text-align">center</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="admon.graphics.extension" select="'.png'"/>
+<xsl:param name="admon.graphics.extension">.png</xsl:param>
 <xsl:param name="admon.graphics" select="0"/>
 <xsl:param name="admon.graphics.path">images/</xsl:param>
@@ -56,5 +56,5 @@
 </xsl:attribute-set>
 <xsl:param name="alignment">justify</xsl:param>
-<xsl:param name="appendix.autolabel" select="'A'"/>
+<xsl:param name="appendix.autolabel">A</xsl:param>
 <xsl:param name="arbortext.extensions" select="0"/>
 <xsl:attribute-set name="article.appendix.title.properties" use-attribute-sets="section.title.properties                          section.title.level1.properties">
@@ -64,5 +64,5 @@
 </xsl:attribute-set>
 <xsl:param name="author.othername.in.middle" select="1"/>
-<xsl:param name="autotoc.label.separator" select="'. '"/>
+<xsl:param name="autotoc.label.separator">. </xsl:param>
 <xsl:param name="axf.extensions" select="0"/>
 <xsl:param name="biblioentry.item.separator">. </xsl:param>
@@ -71,7 +71,8 @@
   <xsl:attribute name="text-indent">-0.5in</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"/>
+<xsl:param name="bibliography.collection">http://docbook.sourceforge.net/release/bibliography/bibliography.xml</xsl:param>
+
 <xsl:param name="bibliography.numbered" select="0"/>
-<xsl:param name="bibliography.style" select="'normal'"/>
+<xsl:param name="bibliography.style">normal</xsl:param>
 <xsl:attribute-set name="blockquote.properties">
 <xsl:attribute name="margin-left">0.5in</xsl:attribute>
@@ -81,11 +82,11 @@
 <xsl:attribute name="space-after.maximum">2em</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="body.font.family" select="'serif'"/>
+<xsl:param name="body.font.family">serif</xsl:param>
 <xsl:param name="body.font.master">10</xsl:param>
 <xsl:param name="body.font.size">
  <xsl:value-of select="$body.font.master"/><xsl:text>pt</xsl:text>
 </xsl:param>
-<xsl:param name="body.margin.bottom" select="'0.5in'"/>
-<xsl:param name="body.margin.top" select="'0.5in'"/>
+<xsl:param name="body.margin.bottom">0.5in</xsl:param>
+<xsl:param name="body.margin.top">0.5in</xsl:param>
 <xsl:param name="body.start.indent">
   <xsl:choose>
@@ -95,33 +96,33 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="body.end.indent" select="'0pt'"/>
+<xsl:param name="body.end.indent">0pt</xsl:param>
 <xsl:param name="bridgehead.in.toc" select="0"/>
-<xsl:param name="callout.defaultcolumn" select="'60'"/>
-
-<xsl:param name="callout.graphics.extension" select="'.svg'"/>
-<xsl:param name="callout.graphics" select="'1'"/>
+<xsl:param name="callout.defaultcolumn">60</xsl:param>
+
+<xsl:param name="callout.graphics.extension">.svg</xsl:param>
+<xsl:param name="callout.graphics" select="1"/>
 <xsl:param name="callout.icon.size">7pt</xsl:param>
 
-<xsl:param name="callout.graphics.number.limit" select="'30'"/>
-<xsl:param name="callout.graphics.path" select="'images/callouts/'"/>
-<xsl:param name="callout.unicode.font" select="'ZapfDingbats'"/>
+<xsl:param name="callout.graphics.number.limit">30</xsl:param>
+<xsl:param name="callout.graphics.path">images/callouts/</xsl:param>
+<xsl:param name="callout.unicode.font">ZapfDingbats</xsl:param>
 <xsl:param name="callout.unicode" select="0"/>
-<xsl:param name="callout.unicode.number.limit" select="'10'"/>
-<xsl:param name="callout.unicode.start.character" select="10102"/>
-<xsl:param name="callouts.extension" select="'1'"/>
+<xsl:param name="callout.unicode.number.limit">10</xsl:param>
+<xsl:param name="callout.unicode.start.character">10102</xsl:param>
+<xsl:param name="callouts.extension" select="1"/>
 <xsl:param name="chapter.autolabel" select="1"/>
-<xsl:param name="collect.xref.targets" select="'no'"/>
+<xsl:param name="collect.xref.targets">no</xsl:param>
 <xsl:param name="column.count.back" select="1"/>
 <xsl:param name="column.count.body" select="1"/>
 <xsl:param name="column.count.front" select="1"/>
-<xsl:param name="column.count.index" select="2"/>
+<xsl:param name="column.count.index">2</xsl:param>
 <xsl:param name="column.count.lot" select="1"/>
 <xsl:param name="column.count.titlepage" select="1"/>
-<xsl:param name="column.gap.back" select="'12pt'"/>
-<xsl:param name="column.gap.body" select="'12pt'"/>
-<xsl:param name="column.gap.front" select="'12pt'"/>
-<xsl:param name="column.gap.index" select="'12pt'"/>
-<xsl:param name="column.gap.lot" select="'12pt'"/>
-<xsl:param name="column.gap.titlepage" select="'12pt'"/>
+<xsl:param name="column.gap.back">12pt</xsl:param>
+<xsl:param name="column.gap.body">12pt</xsl:param>
+<xsl:param name="column.gap.front">12pt</xsl:param>
+<xsl:param name="column.gap.index">12pt</xsl:param>
+<xsl:param name="column.gap.lot">12pt</xsl:param>
+<xsl:param name="column.gap.titlepage">12pt</xsl:param>
 <xsl:attribute-set name="compact.list.item.spacing">
   <xsl:attribute name="space-before.optimum">0em</xsl:attribute>
@@ -147,8 +148,8 @@
 </xsl:attribute-set>
 <xsl:param name="crop.marks" select="0"/>
-<xsl:param name="crop.mark.width" select="'0.5pt'"/>
-<xsl:param name="crop.mark.offset" select="'24pt'"/>
-<xsl:param name="crop.mark.bleed" select="'6pt'"/>
-<xsl:param name="current.docid" select="''"/> 
+<xsl:param name="crop.mark.width">0.5pt</xsl:param>
+<xsl:param name="crop.mark.offset">24pt</xsl:param>
+<xsl:param name="crop.mark.bleed">6pt</xsl:param>
+<xsl:param name="current.docid"/>
 <xsl:param name="default.float.class">
   <xsl:choose>
@@ -157,12 +158,12 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="default.image.width" select="''"/>
-<xsl:param name="default.table.width" select="''"/>
-<xsl:param name="default.table.frame" select="'all'"/>
-<xsl:param name="default.units" select="'pt'"/>
-<xsl:param name="dingbat.font.family" select="'serif'"/>
+<xsl:param name="default.image.width"/>
+<xsl:param name="default.table.width"/>
+<xsl:param name="default.table.frame">all</xsl:param>
+<xsl:param name="default.units">pt</xsl:param>
+<xsl:param name="dingbat.font.family">serif</xsl:param>
 <xsl:param name="double.sided" select="0"/>
-<xsl:param name="draft.mode" select="'maybe'"/>
-<xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"/>
+<xsl:param name="draft.mode">maybe</xsl:param>
+<xsl:param name="draft.watermark.image">http://docbook.sourceforge.net/release/images/draft.png</xsl:param>
 
 <xsl:param name="ebnf.assignment">
@@ -173,5 +174,5 @@
 
 <xsl:param name="ebnf.statement.terminator"/>
-<xsl:param name="email.delimiters.enabled">1</xsl:param>
+<xsl:param name="email.delimiters.enabled" select="1"/>
 <xsl:attribute-set name="equation.properties" use-attribute-sets="formal.object.properties"/>
 <xsl:attribute-set name="example.properties" use-attribute-sets="formal.object.properties"/>
@@ -187,6 +188,6 @@
 </xsl:attribute-set>
 <xsl:param name="footer.rule" select="1"/>
-<xsl:param name="footer.column.widths" select="'1 1 1'"/>
-<xsl:param name="footer.table.height" select="'14pt'"/>
+<xsl:param name="footer.column.widths">1 1 1</xsl:param>
+<xsl:param name="footer.table.height">14pt</xsl:param>
 <xsl:attribute-set name="footer.table.properties">
   <xsl:attribute name="table-layout">fixed</xsl:attribute>
@@ -197,6 +198,6 @@
  <xsl:value-of select="$body.font.master * 0.8"/><xsl:text>pt</xsl:text>
 </xsl:param>
-<xsl:param name="footnote.number.format" select="'1'"/>
-<xsl:param name="footnote.number.symbols" select="''"/>
+<xsl:param name="footnote.number.format">1</xsl:param>
+<xsl:param name="footnote.number.symbols"/>
 <xsl:attribute-set name="footnote.mark.properties">
   <xsl:attribute name="font-size">75%</xsl:attribute>
@@ -251,5 +252,5 @@
 <xsl:param name="funcsynopsis.decoration" select="1"/>
 <xsl:param name="funcsynopsis.style">kr</xsl:param>
-<xsl:param name="function.parens">0</xsl:param>
+<xsl:param name="function.parens" select="0"/>
 <xsl:param name="generate.index" select="1"/>
 <xsl:param name="generate.section.toc.level" select="0"/>
@@ -273,11 +274,11 @@
 </xsl:param>
 <xsl:param name="glossary.as.blocks" select="0"/>
-<xsl:param name="glossary.collection" select="''"/>
+<xsl:param name="glossary.collection"/>
 <xsl:param name="glossary.sort" select="0"/>
-<xsl:param name="glossentry.show.acronym" select="'no'"/>
+<xsl:param name="glossentry.show.acronym">no</xsl:param>
 <xsl:param name="glosslist.as.blocks" select="0"/>
 <xsl:param name="glossterm.auto.link" select="0"/>
-<xsl:param name="glossterm.separation" select="'0.25in'"/>
-<xsl:param name="glossterm.width" select="'2in'"/>
+<xsl:param name="glossterm.separation">0.25in</xsl:param>
+<xsl:param name="glossterm.width">2in</xsl:param>
 <xsl:param name="graphic.default.extension"/>
 <xsl:attribute-set name="header.content.properties">
@@ -290,6 +291,6 @@
 </xsl:attribute-set>
 <xsl:param name="header.rule" select="1"/>
-<xsl:param name="header.column.widths" select="'1 1 1'"/>
-<xsl:param name="header.table.height" select="'14pt'"/>
+<xsl:param name="header.column.widths">1 1 1</xsl:param>
+<xsl:param name="header.table.height">14pt</xsl:param>
 <xsl:attribute-set name="header.table.properties">
   <xsl:attribute name="table-layout">fixed</xsl:attribute>
@@ -297,12 +298,12 @@
 </xsl:attribute-set>
 <xsl:param name="headers.on.blank.pages" select="1"/>
-<xsl:param name="highlight.default.language" select="''"/>
+<xsl:param name="highlight.default.language"/>
 <xsl:param name="highlight.source" select="0"/>
 <xsl:param name="hyphenate">true</xsl:param>
 <xsl:param name="hyphenate.verbatim" select="0"/>
-<xsl:param name="hyphenate.verbatim.characters" select="''"/>
+<xsl:param name="hyphenate.verbatim.characters"/>
 <xsl:param name="ignore.image.scaling" select="0"/>
 <xsl:param name="img.src.path"/>
-<xsl:param name="index.method" select="'basic'"/>
+<xsl:param name="index.method">basic</xsl:param>
 <xsl:param name="index.on.role" select="0"/>
 <xsl:param name="index.on.type" select="0"/>
@@ -338,7 +339,7 @@
   <xsl:attribute name="start-indent">0pt</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="index.number.separator" select="''"/>
-<xsl:param name="index.range.separator" select="''"/>
-<xsl:param name="index.term.separator" select="''"/>
+<xsl:param name="index.number.separator"/>
+<xsl:param name="index.range.separator"/>
+<xsl:param name="index.term.separator"/>
 <xsl:param name="insert.link.page.number">no</xsl:param>
 <xsl:param name="insert.xref.page.number">no</xsl:param>
@@ -347,17 +348,18 @@
 <xsl:attribute-set name="itemizedlist.label.properties">
 </xsl:attribute-set>
-<xsl:param name="itemizedlist.label.width" select="'1.0em'"/>
+    <xsl:param name="itemizedlist.label.width">1.0em</xsl:param>
+  
 
 <xsl:param name="keep.relative.image.uris" select="0"/>
-<xsl:param name="l10n.gentext.default.language" select="'en'"/>
-<xsl:param name="l10n.gentext.language" select="''"/>
+<xsl:param name="l10n.gentext.default.language">en</xsl:param>
+<xsl:param name="l10n.gentext.language"/>
 <xsl:param name="l10n.gentext.use.xref.language" select="0"/>
 <xsl:param name="l10n.lang.value.rfc.compliant" select="1"/>
-<xsl:param name="label.from.part" select="'0'"/>
-<xsl:param name="line-height" select="'normal'"/>
-<xsl:param name="linenumbering.everyNth" select="'5'"/>
-<xsl:param name="linenumbering.extension" select="'1'"/>
-<xsl:param name="linenumbering.separator" select="' '"/>
-<xsl:param name="linenumbering.width" select="'3'"/>
+<xsl:param name="label.from.part" select="0"/>
+<xsl:param name="line-height">normal</xsl:param>
+<xsl:param name="linenumbering.everyNth">5</xsl:param>
+<xsl:param name="linenumbering.extension" select="1"/>
+<xsl:param name="linenumbering.separator"><xsl:text> </xsl:text></xsl:param>
+<xsl:param name="linenumbering.width">3</xsl:param>
 <xsl:attribute-set name="list.block.properties">
   <xsl:attribute name="provisional-label-separation">0.2em</xsl:attribute>
@@ -390,10 +392,10 @@
   <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="margin.note.float.type" select="'none'"/>
-<xsl:param name="margin.note.width" select="'1in'"/>
-<xsl:param name="marker.section.level" select="2"/>
+<xsl:param name="margin.note.float.type">none</xsl:param>
+<xsl:param name="margin.note.width">1in</xsl:param>
+<xsl:param name="marker.section.level">2</xsl:param>
 <xsl:param name="menuchoice.menu.separator"> &#8594; </xsl:param>
-<xsl:param name="menuchoice.separator" select="'+'"/>
-<xsl:param name="monospace.font.family" select="'monospace'"/>
+<xsl:param name="menuchoice.separator">+</xsl:param>
+<xsl:param name="monospace.font.family">monospace</xsl:param>
 <xsl:attribute-set name="monospace.properties">
   <xsl:attribute name="font-family">
@@ -405,5 +407,5 @@
   <xsl:attribute name="wrap-option">no-wrap</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="nominal.table.width" select="'6in'"/>
+<xsl:param name="nominal.table.width">6in</xsl:param>
 <xsl:attribute-set name="normal.para.spacing">
   <xsl:attribute name="space-before.optimum">1em</xsl:attribute>
@@ -411,11 +413,11 @@
   <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="olink.doctitle" select="'no'"/> 
-<xsl:param name="olink.base.uri" select="''"/> 
+<xsl:param name="olink.doctitle">no</xsl:param> 
+<xsl:param name="olink.base.uri"/>
 <xsl:param name="olink.debug" select="0"/>
 <xsl:attribute-set name="olink.properties">
   <xsl:attribute name="show-destination">replace</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="olink.lang.fallback.sequence" select="''"/> 
+<xsl:param name="olink.lang.fallback.sequence"/>
 <xsl:attribute-set name="orderedlist.properties" use-attribute-sets="list.block.properties">
   <xsl:attribute name="provisional-distance-between-starts">2em</xsl:attribute>
@@ -423,5 +425,5 @@
 <xsl:attribute-set name="orderedlist.label.properties">
 </xsl:attribute-set>
-<xsl:param name="orderedlist.label.width" select="'1.2em'"/>
+<xsl:param name="orderedlist.label.width">1.2em</xsl:param>
 <xsl:param name="prefer.internal.olink" select="0"/>
 <xsl:param name="insert.olink.page.number">no</xsl:param>
@@ -480,5 +482,5 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="page.margin.bottom" select="'0.5in'"/>
+<xsl:param name="page.margin.bottom">0.5in</xsl:param>
 <xsl:param name="page.margin.inner">
   <xsl:choose>
@@ -493,6 +495,6 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="page.margin.top" select="'0.5in'"/>
-<xsl:param name="page.orientation" select="'portrait'"/>
+<xsl:param name="page.margin.top">0.5in</xsl:param>
+<xsl:param name="page.orientation">portrait</xsl:param>
 <xsl:param name="page.width">
   <xsl:choose>
@@ -546,6 +548,6 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="paper.type" select="'USletter'"/>
-<xsl:param name="part.autolabel" select="'I'"/>
+<xsl:param name="paper.type">USletter</xsl:param>
+<xsl:param name="part.autolabel">I</xsl:param>
 <xsl:param name="passivetex.extensions" select="0"/>
 <xsl:attribute-set name="pgwide.properties">
@@ -554,25 +556,27 @@
 <xsl:param name="preface.autolabel" select="0"/>
 <xsl:param name="preferred.mediaobject.role"/>
-<xsl:attribute-set name="procedure.properties" use-attribute-sets="formal.object.properties"/>
+<xsl:attribute-set name="procedure.properties" use-attribute-sets="formal.object.properties">
+  <xsl:attribute name="keep-together.within-column">auto</xsl:attribute>
+</xsl:attribute-set>
 <xsl:param name="process.empty.source.toc" select="0"/>
 <xsl:param name="process.source.toc" select="0"/>
-<xsl:param name="profile.arch" select="''"/>
-<xsl:param name="profile.audience" select="''"/>
-<xsl:param name="profile.attribute" select="''"/>
-<xsl:param name="profile.condition" select="''"/>
-<xsl:param name="profile.conformance" select="''"/>
-<xsl:param name="profile.lang" select="''"/>
-<xsl:param name="profile.os" select="''"/>
-<xsl:param name="profile.revision" select="''"/>
-<xsl:param name="profile.revisionflag" select="''"/>
-<xsl:param name="profile.role" select="''"/>
-<xsl:param name="profile.security" select="''"/>
-<xsl:param name="profile.separator" select="';'"/>
-<xsl:param name="profile.status" select="''"/>
-<xsl:param name="profile.userlevel" select="''"/>
-<xsl:param name="profile.value" select="''"/>
-<xsl:param name="profile.vendor" select="''"/>
-<xsl:param name="profile.wordsize" select="''"/>
-<xsl:param name="punct.honorific" select="'.'"/>
+<xsl:param name="profile.arch"/>
+<xsl:param name="profile.audience"/>
+<xsl:param name="profile.attribute"/>
+<xsl:param name="profile.condition"/>
+<xsl:param name="profile.conformance"/>
+<xsl:param name="profile.lang"/>
+<xsl:param name="profile.os"/>
+<xsl:param name="profile.revision"/>
+<xsl:param name="profile.revisionflag"/>
+<xsl:param name="profile.role"/>
+<xsl:param name="profile.security"/>
+<xsl:param name="profile.separator">;</xsl:param>
+<xsl:param name="profile.status"/>
+<xsl:param name="profile.userlevel"/>
+<xsl:param name="profile.value"/>
+<xsl:param name="profile.vendor"/>
+<xsl:param name="profile.wordsize"/>
+<xsl:param name="punct.honorific">.</xsl:param>
 <xsl:param name="qanda.defaultlabel">number</xsl:param>
 <xsl:param name="qanda.in.toc" select="0"/>
@@ -648,8 +652,8 @@
 </xsl:attribute-set>
 <xsl:param name="refentry.xref.manvolnum" select="1"/>
-<xsl:param name="reference.autolabel" select="'I'"/>
+  <xsl:param name="reference.autolabel">I</xsl:param>
 <xsl:param name="refclass.suppress" select="0"/>
-<xsl:param name="region.after.extent" select="'0.4in'"/>
-<xsl:param name="region.before.extent" select="'0.4in'"/>
+<xsl:param name="region.after.extent">0.4in</xsl:param>
+<xsl:param name="region.before.extent">0.4in</xsl:param>
 <xsl:attribute-set name="revhistory.table.properties">
 </xsl:attribute-set>
@@ -674,11 +678,11 @@
   <xsl:attribute name="line-height-shift-adjustment">disregard-shifts</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="rootid" select="''"/>
-<xsl:param name="runinhead.default.title.end.punct" select="'.'"/>
-<xsl:param name="runinhead.title.end.punct" select="'.!?:'"/>
-<xsl:param name="sans.font.family" select="'sans-serif'"/>
+<xsl:param name="rootid"/>
+<xsl:param name="runinhead.default.title.end.punct">.</xsl:param>
+<xsl:param name="runinhead.title.end.punct">.!?:</xsl:param>
+<xsl:param name="sans.font.family">sans-serif</xsl:param>
 <xsl:param name="section.autolabel" select="0"/>
-<xsl:param name="section.autolabel.max.depth" select="8"/>
-<xsl:param name="section.container.element" select="'block'"/>
+<xsl:param name="section.autolabel.max.depth">8</xsl:param>
+<xsl:param name="section.container.element">block</xsl:param>
 <xsl:param name="section.label.includes.component.label" select="0"/>
 <xsl:attribute-set name="section.title.level1.properties">
@@ -751,5 +755,5 @@
   <xsl:attribute name="background-color">#E0E0E0</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="show.comments">1</xsl:param>
+<xsl:param name="show.comments" select="1"/>
 <xsl:attribute-set name="sidebar.properties" use-attribute-sets="formal.object.properties">
   <xsl:attribute name="border-style">solid</xsl:attribute>
@@ -774,6 +778,6 @@
   <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="sidebar.float.type" select="'none'"/>
-<xsl:param name="sidebar.float.width" select="'1in'"/>
+<xsl:param name="sidebar.float.type">none</xsl:param>
+<xsl:param name="sidebar.float.width">1in</xsl:param>
 <xsl:param name="simplesect.in.toc" select="0"/>
 <xsl:attribute-set name="subscript.properties">
@@ -783,9 +787,9 @@
   <xsl:attribute name="font-size">75%</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="symbol.font.family" select="'Symbol,ZapfDingbats'"/>
-
-<xsl:param name="table.cell.border.color" select="'black'"/>
-<xsl:param name="table.cell.border.style" select="'solid'"/>
-<xsl:param name="table.cell.border.thickness" select="'0.5pt'"/>
+<xsl:param name="symbol.font.family">Symbol,ZapfDingbats</xsl:param>
+
+<xsl:param name="table.cell.border.color">black</xsl:param>
+<xsl:param name="table.cell.border.style">solid</xsl:param>
+<xsl:param name="table.cell.border.thickness">0.5pt</xsl:param>
 <xsl:attribute-set name="table.cell.padding">
   <xsl:attribute name="padding-left">2pt</xsl:attribute>
@@ -794,6 +798,6 @@
   <xsl:attribute name="padding-bottom">2pt</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="table.footnote.number.format" select="'a'"/>
-<xsl:param name="table.footnote.number.symbols" select="''"/>
+<xsl:param name="table.footnote.number.format">a</xsl:param>
+<xsl:param name="table.footnote.number.symbols"/>
 <xsl:attribute-set name="table.footnote.properties">
   <xsl:attribute name="font-family"><xsl:value-of select="$body.fontset"/></xsl:attribute>
@@ -805,20 +809,20 @@
 </xsl:attribute-set>
 
-<xsl:param name="table.frame.border.color" select="'black'"/>
-<xsl:param name="table.frame.border.style" select="'solid'"/>
-<xsl:param name="table.frame.border.thickness" select="'0.5pt'"/>
+<xsl:param name="table.frame.border.color">black</xsl:param>
+<xsl:param name="table.frame.border.style">solid</xsl:param>
+<xsl:param name="table.frame.border.thickness">0.5pt</xsl:param>
 <xsl:attribute-set name="table.properties" use-attribute-sets="formal.object.properties"/>
-<xsl:param name="tablecolumns.extension" select="'1'"/>
+<xsl:param name="tablecolumns.extension" select="1"/>
 <xsl:attribute-set name="table.table.properties">
   <xsl:attribute name="border-before-width.conditionality">retain</xsl:attribute>
   <xsl:attribute name="border-collapse">collapse</xsl:attribute>
 </xsl:attribute-set>
-<xsl:param name="target.database.document" select="''"/>
-<xsl:param name="targets.filename" select="'target.db'"/>
-<xsl:param name="textdata.default.encoding" select="''"/>
-<xsl:param name="tex.math.delims" select="'1'"/>
-<xsl:param name="tex.math.in.alt" select="''"/>
-<xsl:param name="textinsert.extension" select="'1'"/>
-<xsl:param name="title.font.family" select="'sans-serif'"/>
+ <xsl:param name="target.database.document">olinkdb.xml</xsl:param>
+<xsl:param name="targets.filename">target.db</xsl:param>
+<xsl:param name="textdata.default.encoding"/>
+<xsl:param name="tex.math.delims" select="1"/>
+<xsl:param name="tex.math.in.alt"/>
+  <xsl:param name="textinsert.extension" select="1"/>
+<xsl:param name="title.font.family">sans-serif</xsl:param>
 <xsl:param name="title.margin.left">
   <xsl:choose>
@@ -828,5 +832,6 @@
   </xsl:choose>
 </xsl:param>
-<xsl:param name="toc.indent.width" select="24"/>
+<xsl:param name="toc.indent.width">24</xsl:param>
+<!-- inconsistant point specification? -->
 <xsl:attribute-set name="toc.line.properties">
   <xsl:attribute name="text-align-last">justify</xsl:attribute>
@@ -846,8 +851,8 @@
 <xsl:param name="toc.section.depth">2</xsl:param>
 <xsl:param name="ulink.footnotes" select="0"/>
-<xsl:param name="ulink.hyphenate" select="''"/>
-<xsl:param name="ulink.hyphenate.chars" select="'/'"/>
+<xsl:param name="ulink.hyphenate"/>
+<xsl:param name="ulink.hyphenate.chars">/</xsl:param>
 <xsl:param name="ulink.show" select="1"/>
-<xsl:param name="use.extensions" select="'0'"/>
+<xsl:param name="use.extensions" select="0"/>
 <xsl:param name="use.local.olink.style" select="0"/> 
 <xsl:param name="use.role.as.xrefstyle" select="1"/>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -46,5 +46,5 @@
   <refpurpose>Sets background color for an image</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo background-color</tag> PI before or
+    <para>Use the <tag class="xmlpi">dbfo background-color</tag> PI before or
       after an image (<tag>graphic</tag>, <tag>inlinegraphic</tag>,
       <tag>imagedata</tag>, or <tag>videodata</tag> element) as a
@@ -81,5 +81,5 @@
   <refpurpose>Sets background color on a table row or table cell</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo bgcolor</tag> PI as child of a table row
+    <para>Use the <tag class="xmlpi">dbfo bgcolor</tag> PI as child of a table row
       or cell to set a background color for that table row or cell.</para>
   </refdescription>
@@ -113,5 +113,5 @@
   <refpurpose>Specifies float behavior for a sidebar</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo float-type</tag> PI to specify the float
+    <para>Use the <tag class="xmlpi">dbfo float-type</tag> PI to specify the float
       behavior for a <tag>sidebar</tag> (to cause the sidebar to be
       displayed as a marginal note).</para>
@@ -153,5 +153,5 @@
   <refpurpose>Specifies presentation style for a glossary</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo glossary-presentation</tag> PI as a child of
+    <para>Use the <tag class="xmlpi">dbfo glossary-presentation</tag> PI as a child of
       a <tag>glossary</tag> to control its presentation style.</para>
   </refdescription>
@@ -192,5 +192,5 @@
   <refpurpose>Specifies presentation style for a glosslist</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo glosslist-presentation</tag> PI as a child of
+    <para>Use the <tag class="xmlpi">dbfo glosslist-presentation</tag> PI as a child of
       a <tag>glosslist</tag> to control its presentation style.</para>
   </refdescription>
@@ -232,5 +232,5 @@
     glosslist</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo glossterm-width</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo glossterm-width</tag> PI as a child of a
       <tag>glossary</tag> or <tag>glosslist</tag> to specify the
       width for output of <tag>glossterm</tag> instances in the
@@ -271,5 +271,5 @@
     figure, or equation</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo keep-together</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo keep-together</tag> PI as a child of a
       formal object (<tag>table</tag>, <tag>example</tag>,
       <tag>figure</tag>, or <tag>equation</tag>) or their informal
@@ -314,5 +314,5 @@
   <refpurpose>Specifies the label width for a qandaset</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo label-width</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo label-width</tag> PI as a child of a
       <tag>qandaset</tag> to specify the width of labels.</para>
   </refdescription>
@@ -346,5 +346,5 @@
   <refpurpose>Specifies interval for lines numbers in verbatims</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo linenumbering.everyNth</tag> PI as a child
+    <para>Use the <tag class="xmlpi">dbfo linenumbering.everyNth</tag> PI as a child
       of a “verbatim” element – <tag>programlisting</tag>,
       <tag>screen</tag>, <tag>synopsis</tag> — to specify
@@ -384,5 +384,5 @@
   <refpurpose>Specifies separator text for line numbers in verbatims</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo linenumbering.separator</tag> PI as a child
+    <para>Use the <tag class="xmlpi">dbfo linenumbering.separator</tag> PI as a child
       of a “verbatim” element – <tag>programlisting</tag>,
       <tag>screen</tag>, <tag>synopsis</tag> — to specify
@@ -421,5 +421,5 @@
   <refpurpose>Specifies width for line numbers in verbatims</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo linenumbering.width</tag> PI as a child
+    <para>Use the <tag class="xmlpi">dbfo linenumbering.width</tag> PI as a child
       of a “verbatim” element – <tag>programlisting</tag>,
       <tag>screen</tag>, <tag>synopsis</tag> — to specify
@@ -459,5 +459,5 @@
     segmentedlist</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo list-presentation</tag> PI as a child of
+    <para>Use the <tag class="xmlpi">dbfo list-presentation</tag> PI as a child of
       a <tag>variablelist</tag> or <tag>segmentedlist</tag> to
       control the presentation style for the list (to cause it, for
@@ -513,5 +513,5 @@
   <refpurpose>Specifies the width of a horizontal simplelist</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo list-width</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo list-width</tag> PI as a child of a
       <tag>simplelist</tag> whose <tag class="attribute">class</tag>
       value is <literal>horizontal</literal>, to specify the width
@@ -542,5 +542,5 @@
   <refpurpose>Specifies the orientation for table row or cell</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo orientation</tag> PI as a child of an
+    <para>Use the <tag class="xmlpi">dbfo orientation</tag> PI as a child of an
       <tag>table</tag> row or cell to specify the orientation
       (rotation) for the row or cell.</para>
@@ -571,5 +571,5 @@
   <refpurpose>Specifies if an <tag>equation</tag> or <tag>example</tag> goes across full page width</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo pgwide</tag> PI as a child of an
+    <para>Use the <tag class="xmlpi">dbfo pgwide</tag> PI as a child of an
       <tag>equation</tag> or <tag>example</tag> to specify that the
       content should rendered across the full width of the page.</para>
@@ -610,5 +610,5 @@
     <tag>row</tag></refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo rotated-width</tag> PI as a child of an
+    <para>Use the <tag class="xmlpi">dbfo rotated-width</tag> PI as a child of an
       <tag>entry</tag> or <tag>row</tag> instance to specify the
       width of that the <tag>entry</tag> or <tag>row</tag>; or
@@ -640,5 +640,5 @@
   <refpurpose>Specifies the width of a sidebar</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo sidebar-width</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo sidebar-width</tag> PI as a child of a
       <tag>sidebar</tag> to specify the width of the sidebar.</para>
   </refdescription>
@@ -717,5 +717,5 @@
     output</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo table-width</tag> PI as a child or
+    <para>Use the <tag class="xmlpi">dbfo table-width</tag> PI as a child or
       sibling of a <tag>table</tag>, or as a child of an
       <tag>informaltable</tag>, <tag>entrybl</tag>, or
@@ -752,5 +752,5 @@
   <refpurpose>Specifies the term width for a variablelist</refpurpose>
   <refdescription>
-    <para>Use the <tag>dbfo term-width</tag> PI as a child of a
+    <para>Use the <tag class="xmlpi">dbfo term-width</tag> PI as a child of a
       <tag>variablelist</tag> to specify the width for
       <tag>term</tag> output.</para>
@@ -783,7 +783,7 @@
 
 <doc:pi name="dbfo_toc" xmlns="">
-  <refpurpose>Species whether a TOC should be generated for a qandaset</refpurpose>
-  <refdescription>
-    <para>Use the <tag>dbfo toc</tag> PI as a child of a
+  <refpurpose>Specifies whether a TOC should be generated for a qandaset</refpurpose>
+  <refdescription>
+    <para>Use the <tag class="xmlpi">dbfo toc</tag> PI as a child of a
       <tag>qandaset</tag> to specify whether a table of contents
       (TOC) is generated for the <tag>qandaset</tag>.</para>
@@ -843,5 +843,5 @@
         </listitem>
       </varlistentry>
-      <varlistentry><term>space-before"<replaceable>n</replaceable>"</term>
+      <varlistentry><term>space-before="<replaceable>n</replaceable>"</term>
         <listitem>
           <para>The amount of extra vertical space to add (including units)</para>
Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl	(revision 60a5a938e6657250d228742b8367f8dbe7dd28d4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/table.xsl	(revision 232aa7359d4f119b062bf270e19e8a4c1d2228a0)
@@ -465,14 +465,9 @@
     <xsl:attribute name="table-layout">fixed</xsl:attribute>
   </xsl:if>
-
-  <xsl:if test="count(preceding-sibling::tgroup) = 0">
-    <!-- If this is the first tgroup, output the width attribute for the -->
-    <!-- surrounding fo:table. (If this isn't the first tgroup, trying   -->
-    <!-- to output the attribute will cause an error.)                   -->
+ 
     <xsl:attribute name="width">
       <xsl:value-of select="$table.width"/>
     </xsl:attribute>
-  </xsl:if>
-
+ 
   <xsl:choose>
     <xsl:when test="$use.extensions != 0
